//Defining class FormatRR1
/*
 * This file contains the definition of all the methods of the class and the definition of the built in functions related to the class.
 */
/*
 * QUSOFT MICROSYSTMES
 * Assembly Studio for MVS
 * Copyright 2004 Frdric Brown
 */
/*
 *  This file is part of Assembly Studio for MVS.
 *
 *  Assembly Studio for MVS is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.

 *  Assembly Studio for MVS is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with Assembly Studio for MVS; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
//Import the class moka.lang.System
//Import the class moka.lang.String
/**
 * Format OpCode I
 *
 * @author  Frdric Brown
 */
TFormatRR1 * TFormatRR10 ( ) {
	TFormatRR1 * this = malloc ( sizeof ( TFormatRR1 ) ) ; 
	this -> class = ( char * ) "FormatRR1" ; 
	this -> class_id = 3 ; 
	this -> super = ( void * ) Format ; 
	//Methods from class Object
	this -> toString_ = ( void * ) TObject_toString_ ; 
	this -> finalize_ = ( void * ) TObject_finalize_ ; 
	//Methods from class Format
	//Methods from class FormatRR1
	this -> print_unsigned_byte_char_p = ( void * ) TFormatRR1_print_unsigned_byte_char_p ; 
	this -> assemble_unsigned_byte_char_p = ( void * ) TFormatRR1_assemble_unsigned_byte_char_p ; 
	return this ; 
} 

TString *  TFormatRR1_print_unsigned_byte_char_p ( struct FormatRR1 * this , unsigned byte opCode , char * exprP ) { 
	unsigned byte I ; 
	I = DisASM_getByte_char_p_short_int ( exprP , 8 ) ; 
	exprP += 2 ; 
	TString *  str = TString_char_p ( DisASM_opVecStr [ opCode ] ) ; 
	str -> append_String ( str , TString_char_p ( ( char * ) " " ) ) ; 
	str -> append_short_int ( str , ( ( short int ) I ) ) ; 
	return str ; 
	
} 

TString *  TFormatRR1_assemble_unsigned_byte_char_p ( struct FormatRR1 * this , unsigned byte opCode , char * exprP ) { 
	unsigned byte I = 0 ; 
	I = DisASM_fetchValue_void_p_p ( & exprP ) ; 
	TString *  str = DisASM_printHex8_unsigned_byte ( opCode ) ; 
	str -> append_String ( str , DisASM_printHex8_unsigned_byte ( I ) ) ; 
	return str ; 
	
} 

void FormatRR1_static_ ( ) { 
	TFormat *  f = FormatRR1_form = TFormatRR1_ ( ) ; 
	char * * opVecStr = DisASM_opVecStr ; 
	TFormat *  * opVecForm = DisASM_opVecForm ; 
	opVecStr[0x0A] = "SVC";
			opVecForm[0x0A] = f;
		 
} 

void FormatRR1_finally_ ( ) { 
	FormatRR1_form -> finalize_ ( FormatRR1_form ) ; 
	
} 
/* Instanciates a new FormatRR1. */
TFormatRR1 * TFormatRR1_ ( ) {
	TFormatRR1 * this = TFormatRR10 ( ) ; 
	FormatRR1__ ( this ) ; 
	return this ; 
} 
void FormatRR1__ ( struct FormatRR1 * this ) { 
	Format__ ( ( TFormat * ) this ) ; 
} 
