//Defining class Timer
/*
 * This file contains the definition of all the methods of the class and the definition of the built in functions related to the class.
 */
/*
 * QUSOFT MICROSYSTMES
 * Moka
 * Copyright 2002 Frdric Brown
 */
/*
 *  This file is part of Moka API.
 *
 *  Moka API is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Moka API is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Moka API; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/**
 * A facility to schedule tasks for future execution in a
 * background loop.  This class proposes also a static method to pause the execution of the
 * program.
 *
 * @author  Frdric Brown
 * @version 1.11, 2002-08-29
 * @since   MDK1.0a
 */

void Timer_static_ ( ) { 
	Timer_timeStamp = 0 ; 
	
} 
/**
	 * Pauses the execution of the program until the specified delay
	 * expires.
	 *
	 * @param delay The the timer (in 1/20th of second).
	 */
void Timer_wait_long_int ( long int delay ) { 
/*OSFreeTimer (BATT_TIMER);
		OSRegisterTimer (BATT_TIMER, delay);
		while (!OSTimerExpired (BATT_TIMER));*/
		int time = Timer_timeStamp + delay;

		while (Timer_timeStamp < time);
	
} 
