//Package moka.event
/*
 * This file contains the structure of all the classes of the package, the declaration of all the method of these classes and all their static attributes.
 */
//Structure of class EventListener
typedef struct EventListener { 
	char * class ; 
	short int class_id ; 
	struct Object * super ; 
	//Fields from class Object
	//Methods from class Object
	struct String * ( * toString_ ) ( struct EventListener * ) ; 
	void ( * finalize_ ) ( struct EventListener * ) ; 
	//Fields from class EventListener
	//Methods from class EventListener
	void ( * eventTriggered_Object ) ( struct EventListener * , struct Object * ) ; 
} TEventListener ; 
struct EventListener * TEventListener0 ( ) ; 
struct EventListener * EventListener ; //Generic EventListener object prototype
//Structure of class Interrupt
typedef struct Interrupt { 
	char * class ; 
	short int class_id ; 
	struct Object * super ; 
	//Fields from class Object
	//Methods from class Object
	struct String * ( * toString_ ) ( struct Interrupt * ) ; 
	void ( * finalize_ ) ( struct Interrupt * ) ; 
	//Fields from class Interrupt
/** A flag to indicate if this timer is registered. */
	BOOL registered ; 
	//Methods from class Interrupt
	BOOL ( * check_ ) ( struct Interrupt * ) ; 
	void ( * run_ ) ( struct Interrupt * ) ; 
} TInterrupt ; 
struct Interrupt * TInterrupt0 ( ) ; 
struct Interrupt * Interrupt ; //Generic Interrupt object prototype
/** Setting this flag to true will stop the interrupts' execution.*/
BOOL Interrupt_busy ; 
/** The array of interrupts.*/
struct Interrupt * *  Interrupt_array ; 
/** The number of interrupts.*/
long int Interrupt_size ; 
/** The actual interrupts' index.*/
volatile long int Interrupt_index ; 
/** The capacity of the interrupts' array.*/
long int Interrupt_capacity ; 
/** The old int handler.*/
INT_HANDLER Interrupt_oldInt5Handler ; 
void Interrupt_static_ ( ) ; 
void Interrupt_finally_ ( ) ; 
void Interrupt_unregister_Interrupt ( struct Interrupt * ) ; 
void TInterrupt_finalize_ ( struct Interrupt * ) ; 
