/*
 * This file contains the declaration of all the classes used in the project and includes all the packages, classes and interfaces of the project.
 */
/*
 * Declaration of the classes of the package default
 */
//Declaration of class GuiASM
struct GuiASM ; 
//Declaration of class DisASM
struct DisASM ; 
//Declaration of class Format
struct Format ; 
//Declaration of class FormatRR0
struct FormatRR0 ; 
//Declaration of class FormatRR1
struct FormatRR1 ; 
//Declaration of class FormatRS0
struct FormatRS0 ; 
//Declaration of class FormatRS1
struct FormatRS1 ; 
//Declaration of class FormatRS2
struct FormatRS2 ; 
//Declaration of class FormatRX0
struct FormatRX0 ; 
//Declaration of class FormatSI0
struct FormatSI0 ; 
//Declaration of class FormatSS0
struct FormatSS0 ; 
//Declaration of class FormatSS1
struct FormatSS1 ; 
//Declaration of class FrameAbout
struct FrameAbout ; 
//Declaration of class FrameASM
struct FrameASM ; 
/*
 * Declaration of the classes of the package moka.lang
 */
//Declaration of class System
struct System ; 
//Declaration of class String
struct String ; 
//Declaration of class Character
struct Character ; 
//Declaration of class Integer
struct Integer ; 
//Declaration of class Object
struct Object ; 
//Declaration of class Long
struct Long ; 
//Declaration of class Double
struct Double ; 
/*
 * Declaration of the classes of the package moka.x
 */
//Declaration of class Frame
struct Frame ; 
//Declaration of class GEM
struct GEM ; 
//Declaration of class Font
struct Font ; 
//Declaration of class Button
struct Button ; 
//Declaration of class TextArea
struct TextArea ; 
//Declaration of class OptionPane
struct OptionPane ; 
//Declaration of class Container
struct Container ; 
//Declaration of class MenuBar
struct MenuBar ; 
//Declaration of class Component
struct Component ; 
//Declaration of class CaptionedComponent
struct CaptionedComponent ; 
//Declaration of class Label
struct Label ; 
//Declaration of class TextField
struct TextField ; 
//Declaration of class Menu
struct Menu ; 
//Declaration of class Style
struct Style ; 
//Declaration of class MenuItem
struct MenuItem ; 
//Declaration of class Color
struct Color ; 
/*
 * Declaration of the classes of the package moka.io
 */
//Declaration of class File
struct File ; 
//Declaration of class Keyboard
struct Keyboard ; 
//Declaration of class RowRead
struct RowRead ; 
//Declaration of class IOStream
struct IOStream ; 
//Declaration of class Serializable
struct Serializable ; 
/*
 * Declaration of the classes of the package moka.event
 */
//Declaration of class EventListener
struct EventListener ; 
//Declaration of class Interrupt
struct Interrupt ; 
/*
 * Declaration of the classes of the package moka.util
 */
//Declaration of class Timer
struct Timer ; 
//Declaration of class Vector
struct Vector ; 
//Declaration of class Enumeration
struct Enumeration ; 
//Declaration of class Entry
struct Entry ; 
/*
 * Declaration of built in functions
 */
#if ! MOKACLASS_MAINCLASS_IMPLEMENTSINTERFACE_No_Instantiation
void CALLBACK finalize ( void ) ; 
BOOL instanceof ( struct Object * , struct Object * ) ; 
#endif
/*
 * Inclusion of all the packages
 */
//Inclusion of package default
#include "default.h"
//Inclusion of package moka.lang
#include "moka.lang.h"
//Inclusion of package moka.x
#include "moka.x.h"
//Inclusion of package moka.io
#include "moka.io.h"
//Inclusion of package moka.event
#include "moka.event.h"
//Inclusion of package moka.util
#include "moka.util.h"
/* Used by dynamic binding support. */
#include "messages.h"
/*
 * Inclusion of all the headers.
 */
#include "DisASM.h"
#include "System.h"
#include "File.h"
#include "Keyboard.h"
#include "RowRead.h"
#include "Interrupt.h"
/*
 * Inclusion of all the classes and interfaces
 */
/* Package default */
//Inclusion of class GuiASM
#include "TGuiASM.h"
//Inclusion of class DisASM
#include "TDisASM.h"
//Inclusion of class Format
#include "TFormat.h"
//Inclusion of class FormatRR0
#include "TFormatRR0.h"
//Inclusion of class FormatRR1
#include "TFormatRR1.h"
//Inclusion of class FormatRS0
#include "TFormatRS0.h"
//Inclusion of class FormatRS1
#include "TFormatRS1.h"
//Inclusion of class FormatRS2
#include "TFormatRS2.h"
//Inclusion of class FormatRX0
#include "TFormatRX0.h"
//Inclusion of class FormatSI0
#include "TFormatSI0.h"
//Inclusion of class FormatSS0
#include "TFormatSS0.h"
//Inclusion of class FormatSS1
#include "TFormatSS1.h"
//Inclusion of class FrameAbout
#include "TFrameAbout.h"
//Inclusion of class FrameASM
#include "TFrameASM.h"
/* Package moka.lang */
//Inclusion of class System
#include "TSystem.h"
//Inclusion of class String
#include "TString.h"
//Inclusion of class Character
#include "TCharacter.h"
//Inclusion of class Integer
#include "TInteger.h"
//Inclusion of class Object
#include "TObject.h"
//Inclusion of class Long
#include "TLong.h"
//Inclusion of class Double
#include "TDouble.h"
/* Package moka.x */
//Inclusion of class Frame
#include "TFrame.h"
//Inclusion of class GEM
#include "TGEM.h"
//Inclusion of class Font
#include "TFont.h"
//Inclusion of class Button
#include "TButton.h"
//Inclusion of class TextArea
#include "TTextArea.h"
//Inclusion of class OptionPane
#include "TOptionPane.h"
//Inclusion of interface Captioned
#include "TCaptioned.h"
//Inclusion of class Container
#include "TContainer.h"
//Inclusion of class MenuBar
#include "TMenuBar.h"
//Inclusion of class Component
#include "TComponent.h"
//Inclusion of class CaptionedComponent
#include "TCaptionedComponent.h"
//Inclusion of interface Styled
#include "TStyled.h"
//Inclusion of class Label
#include "TLabel.h"
//Inclusion of class TextField
#include "TTextField.h"
//Inclusion of class Menu
#include "TMenu.h"
//Inclusion of class Style
#include "TStyle.h"
//Inclusion of interface Colored
#include "TColored.h"
//Inclusion of class MenuItem
#include "TMenuItem.h"
//Inclusion of class Color
#include "TColor.h"
/* Package moka.io */
//Inclusion of class File
#include "TFile.h"
//Inclusion of class Keyboard
#include "TKeyboard.h"
//Inclusion of class RowRead
#include "TRowRead.h"
//Inclusion of class IOStream
#include "TIOStream.h"
//Inclusion of class Serializable
#include "TSerializable.h"
/* Package moka.event */
//Inclusion of class EventListener
#include "TEventListener.h"
//Inclusion of class Interrupt
#include "TInterrupt.h"
/* Package moka.util */
//Inclusion of class Timer
#include "TTimer.h"
//Inclusion of class Vector
#include "TVector.h"
//Inclusion of class Enumeration
#include "TEnumeration.h"
//Inclusion of class Entry
#include "TEntry.h"
